| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
HorizonScanner Class Reference
EarthModel

Executor to scan horizons. More...

`#include <horizonscanner.h>`

Inheritance diagram for HorizonScanner:
[legend]

## Public Member Functions
mDeprecatedDef | HorizonScanner (const BufferStringSet &fnms, Table::FormatDesc &fd, bool isgeom)
| HorizonScanner (const BufferStringSet &fnms, Table::FormatDesc &fd, bool isgeom, const ZDomain::Info &)
| ~HorizonScanner ()
bool | analyzeData ()
StepInterval< int > | crlRg () const
bool | gapsFound (bool inl) const
const ObjectSet< BinIDValueSet > & | getSections ()
StepInterval< int > | inlRg () const
void | launchBrowser (const char *fnm=0) const
od_int64 | nrDone () const override
int | nrPositions () const
bool | posIsXY () const
bool | reInitAscIO (const char *)
void | report (IOPar &) const
void | setPosIsXY (bool yn)
od_int64 | totalNr () const override
uiString | uiMessage () const override
uiString | uiNrDoneText () const override
Public Member Functions inherited from Executor
| Executor (const char *nm)
virtual | ~Executor ()
int | doStep () override
bool | execute () override
bool | go (od_ostream &s, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
bool | go (od_ostream *s=0, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
Public Member Functions inherited from SequentialTask
| SequentialTask (const char *nm=nullptr)
virtual | ~SequentialTask ()
bool | execute () override
Public Member Functions inherited from ReportingTask
| ReportingTask (const ReportingTask &)=delete
virtual | ~ReportingTask ()
void | getProgress (const ReportingTask &)
ReportingTask & | operator= (const ReportingTask &)=delete
void | setSimpleMeter (bool yn, int repperc)
int | simpleMeterStep () const
bool | useSimpleMeter () const
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
Task & | operator= (const Task &)=delete
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static const char * | defaultUserInfoFile ()
Static Public Member Functions inherited from SequentialTask
static int | ErrorOccurred ()
static int | Finished ()
static int | MoreToDo ()
static int | WarningAvailable ()
Static Public Member Functions inherited from ReportingTask
static PtrMan< ProgressMeter > | getTextProgressMeter (od_ostream &, const IOPar *iop=nullptr)
static bool | needSimpleLogging (const IOPar &)
static const char * | sKeySimpleLogging ()
static const char * | sKeySimpleLoggingStep ()
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
void | getConvValue (float &)
void | init ()
bool | isInsideSurvey (const BinID &, float) const
int | nextStep () override
Protected Member Functions inherited from Executor
virtual bool | goImpl (od_ostream *, bool, bool, int)
Protected Member Functions inherited from SequentialTask
virtual bool | doFinish (bool success, od_ostream *=nullptr)
virtual bool | doPrepare (od_ostream *=nullptr)
Protected Member Functions inherited from ReportingTask
| ReportingTask (const char *nm=nullptr)
void | incrementProgress ()
ProgressMeter * | progressMeter () const
void | reportProgressFinished ()
void | reportProgressStarted ()
void | resetProgress ()
void | setProgressMeter (ProgressMeter *) override
| Must be called before execute()
void | updateProgressMeter (bool forced=false, od_int64 *totalnr=0)
void | updateReportedName ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
EM::Horizon3DAscIO * | ascio_ = nullptr
BinIDValueSet * | bvalset_ = nullptr
uiString | curmsg_
bool | doscale_ = false
PosInfo::Detector & | dtctor_
Table::FormatDesc & | fd_
int | fileidx_ = 0
BufferStringSet | filenames_
bool | firsttime_ = true
bool | isgeom_
bool | isxy_ = false
int | nrdone_ = 0
BufferStringSet | rejectedlines_
ObjectSet< BinIDValueSet > | sections_
bool | selxy_ = false
int | totalnr_
TypeSet< Interval< float > > | valranges_
const ZDomain::Info & | zinfo_
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Public Attributes inherited from Executor
Notifier< Executor > | poststep
| Only when MoreToDo will be returned.
Notifier< Executor > | prestep
Public Attributes inherited from ReportingTask
Notifier< ReportingTask > | progressUpdated

## Detailed Description

Executor to scan horizons.

<>

## Constructor & Destructor Documentation

## ◆ HorizonScanner() [1/2]

HorizonScanner::HorizonScanner | ( | const BufferStringSet & | fnms,
|  | Table::FormatDesc & | fd,
|  | bool | isgeom,
|  | const ZDomain::Info & | )

## ◆ HorizonScanner() [2/2]

mDeprecatedDef HorizonScanner::HorizonScanner | ( | const BufferStringSet & | fnms,
|  | Table::FormatDesc & | fd,
|  | bool | isgeom )

## ◆ ~HorizonScanner()

HorizonScanner::~HorizonScanner | ( |  | ) |

## Member Function Documentation

## ◆ analyzeData()

bool HorizonScanner::analyzeData | ( |  | ) |

## ◆ crlRg()

StepInterval< int > HorizonScanner::crlRg | ( |  | ) | const

## ◆ defaultUserInfoFile()

static const char * HorizonScanner::defaultUserInfoFile | ( |  | ) |
| static

## ◆ gapsFound()

bool HorizonScanner::gapsFound | ( | bool | inl | ) | const

## ◆ getConvValue()

void HorizonScanner::getConvValue | ( | float & |  | ) |
| protected

## ◆ getSections()

const ObjectSet< BinIDValueSet > & HorizonScanner::getSections | ( |  | ) |
| inline

## ◆ init()

void HorizonScanner::init | ( |  | ) |
| protected

## ◆ inlRg()

StepInterval< int > HorizonScanner::inlRg | ( |  | ) | const

## ◆ isInsideSurvey()

bool HorizonScanner::isInsideSurvey | ( | const BinID & | ,
|  | float | ) const
| protected

## ◆ launchBrowser()

void HorizonScanner::launchBrowser | ( | const char * | fnm = 0 | ) | const

## ◆ nextStep()

int HorizonScanner::nextStep | ( |  | ) |
| override protected virtual

Return values

  MoreToDo() | Not finished. Call me again.
  Finished() | Nothing more to do.
  ErrorOccurred() | Something went wrong.

Note
  if function returns a value greater than cMoreToDo(), it should be interpreted as cMoreToDo().

Implements SequentialTask.

## ◆ nrDone()

od_int64 HorizonScanner::nrDone | ( |  | ) | const
| override virtual

Note
  nrDone is only used for displaying progress and will be compared to totalNr to show user how large part of the task that is finished.

Reimplemented from Task.

## ◆ nrPositions()

int HorizonScanner::nrPositions | ( |  | ) | const

## ◆ posIsXY()

bool HorizonScanner::posIsXY | ( |  | ) | const
| inline

## ◆ reInitAscIO()

bool HorizonScanner::reInitAscIO | ( | const char * |  | ) |

## ◆ report()

void HorizonScanner::report | ( | IOPar & |  | ) | const

## ◆ setPosIsXY()

void HorizonScanner::setPosIsXY | ( | bool | yn | ) |
| inline

## ◆ totalNr()

od_int64 HorizonScanner::totalNr | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ uiMessage()

uiString HorizonScanner::uiMessage | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ uiNrDoneText()

uiString HorizonScanner::uiNrDoneText | ( |  | ) | const
| override virtual

Reimplemented from Task.

## Member Data Documentation

## ◆ ascio_

EM::Horizon3DAscIO* HorizonScanner::ascio_ = nullptr
| protected

## ◆ bvalset_

BinIDValueSet* HorizonScanner::bvalset_ = nullptr
| protected

## ◆ curmsg_

uiString HorizonScanner::curmsg_
| mutable protected

## ◆ doscale_

bool HorizonScanner::doscale_ = false
| protected

## ◆ dtctor_

PosInfo::Detector& HorizonScanner::dtctor_
| protected

## ◆ fd_

Table::FormatDesc& HorizonScanner::fd_
| protected

## ◆ fileidx_

int HorizonScanner::fileidx_ = 0
| protected

## ◆ filenames_

BufferStringSet HorizonScanner::filenames_
| protected

## ◆ firsttime_

bool HorizonScanner::firsttime_ = true
| protected

## ◆ isgeom_

bool HorizonScanner::isgeom_
| protected

## ◆ isxy_

bool HorizonScanner::isxy_ = false
| protected

## ◆ nrdone_

int HorizonScanner::nrdone_ = 0
| protected

## ◆ rejectedlines_

BufferStringSet HorizonScanner::rejectedlines_
| protected

## ◆ sections_

ObjectSet<BinIDValueSet> HorizonScanner::sections_
| protected

## ◆ selxy_

bool HorizonScanner::selxy_ = false
| protected

## ◆ totalnr_

int HorizonScanner::totalnr_
| mutable protected

## ◆ valranges_

TypeSet<Interval<float> > HorizonScanner::valranges_
| protected

## ◆ zinfo_

const ZDomain::Info& HorizonScanner::zinfo_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025